<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <title>List Users</title>
</head>

<body>
    <div class="container">
        <h2 class="text-center my-4">Danh sách người dùng đăng ký</h2>
        <table id="table-users" class="table table-striped table-bordered table-hover">
            <thead>
                <tr>
                    <th scope="col">ID</th>
                    <th scope="col">Firstname</th>
                    <th scope="col">Lastname</th>
                    <th scope="col">Country</th>
                    <th scope="col">Subject</th>
                    <th scope="col">Customer Type</th>
                    <th scope="col">Register Status</th>
                    <th scope="col">Action</th>
                </tr>
            </thead>
            <tbody>

            </tbody>
        </table>
    </div>
</body>
<script>
// Region 1

// Region 2
    $(document).ready(function(){
        onPageLoading();
    });

// Region 3
    function onPageLoading(){
        // lay Du lieu tu API
        getDataFromAPI();
        
    }

    function onBtnSuaClick(paramElement){
        var vThisAttValue = paramElement.getAttribute("data-id");
        console.log (vThisAttValue);
    }

    function onBtnXoaClick(paramElement){
        var vThisAttValue = paramElement.getAttribute("data-id");
        console.log (vThisAttValue);
    }

// Region 4
    function getDataFromAPI(){
        $.ajax({
        url: "http://203.171.20.210:8080/crud-api/users/",
        type: 'GET',
        dataType: 'json', // added data type
        success: function(res) {
            //console.log(res);
            loadDataToTable(res);
        },
        error: function (ajaxContext) {
            alert(ajaxContext.responseText);
            return false;
        }
    }); 
    }

    function loadDataToTable(paramResponse){
        console.log (paramResponse);
        var vTableUsers = $("#table-users");
        for (var bI = 0; bI < paramResponse.length; bI++){
            var vTr = $("<tr>").appendTo(vTableUsers);
            $("<td>",{html:paramResponse[bI].id}).appendTo (vTr);
            $("<td>",{html:paramResponse[bI].firstname}).appendTo (vTr);
            $("<td>",{html:paramResponse[bI].lastname}).appendTo (vTr);
            $("<td>",{html:paramResponse[bI].country}).appendTo (vTr);
            $("<td>",{html:paramResponse[bI].subject}).appendTo (vTr);
            $("<td>",{html:paramResponse[bI].customerType}).appendTo (vTr);
            $("<td>",{html:paramResponse[bI].registerStatus}).appendTo (vTr);
            var vActionColumn = $("<td>").appendTo (vTr);
            $("<button>", {
                html:"Sửa", 
                class: "btn btn-primary mr-1 btnSua",
                onClick: "onBtnSuaClick(this);",
            })
                .attr("data-id",paramResponse[bI].id)
                .appendTo(vActionColumn);
            $("<button>", {
                    html:"Xóa", 
                    class: "btn btn-warning btnXoa",
                    onClick: "onBtnXoaClick(this);"
                })
                .attr("data-id",paramResponse[bI].id)
                .appendTo(vActionColumn);
        }
    }
</script>
</html>
